//
//  AGSimpleColoredView.h
//  Screenflick
//
//  Created by Seth Willits on 9/29/07.
//  Copyright 2007 Araelium Group. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface AGSimpleColoredView : NSView {
	NSColor * mBackgroundColor;
	NSColor * mBorderColor;
	BOOL mDrawsBackground;
	BOOL mDrawsBorder;
}

- (void)setBackgroundColor:(NSColor *)backgroundColor;
- (NSColor *)backgroundColor;
- (void)setBorderColor:(NSColor *)borderColor;
- (NSColor *)borderColor;
- (void)setDrawsBackground:(BOOL)drawsBackground;
- (BOOL)drawsBackground;
- (void)setDrawsBorder:(BOOL)drawsBorder;
- (BOOL)drawsBorder;

@end
