//
//  AGInputPanel.h
//  Queries
//
//  Created by Seth Willits on 1/23/08.
//  Copyright 2008 Araelium Group. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface AGInputPanel : NSPanel {
	NSArray * mTopLevelObjectsInNib;
	
	IBOutlet NSView * theContentView;
	
    IBOutlet NSTextField * titleField;
	IBOutlet NSTextField * inputField;
}

+ (id)inputPanelWithTitle:(NSString *)title;
- (id)initWithTitle:(NSString *)title;

- (void)setTitle:(NSString *)string;
- (void)setStringValue:(NSString *)string;
- (NSString *)stringValue;

- (void)beginSheetModalForWindow:(NSWindow *)window modalDelegate:(id)delegate didEndSelector:(SEL)selector contextInfo:(void *)contextInfo;

// Internal
- (IBAction)ok:(id)sender;
- (IBAction)cancel:(id)sender;

@end

// - (void)inputPanelDidEnd:(AGInputPanel *)panel returnCode:(NSInteger)returnCode contextInfo:(void *)contextInfo;


